# this file is here to facilitate development/testing
# $ docker compose up -d --build --force-recreate

services:
  postgres:
    image: postgres:14
    environment:
      POSTGRES_USER: user
      POSTGRES_PASSWORD: password

  backup:
    build:
      context: .
      args:
        ALPINE_VERSION: '3.16'
    environment:
      SCHEDULE: '@weekly'     # optional
      BACKUP_KEEP_DAYS: 7     # optional
      PASSPHRASE: passphrase  # optional
      S3_REGION:
      S3_ACCESS_KEY_ID:
      S3_SECRET_ACCESS_KEY:
      S3_BUCKET:
      S3_PREFIX: backup
      POSTGRES_HOST: postgres
      POSTGRES_DATABASE: postgres
      POSTGRES_USER: user
      POSTGRES_PASSWORD: password
